API Referenceapipatient-graphGET /v1/patients/{patient_id}/protocols/{protocol_id}/overrides

GET /v1/patients/\{patient_id\}/protocols/\{protocol_id\}/overrides

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • patient_id (string) required
  • protocol_id (string) required

Query parameters

  • version_id (string) —

Responses

200 Active member overrides for the protocol

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string",
      "format": "uuid"
    },
    "protocol_id": {
      "type": "string",
      "format": "uuid"
    },
    "overrides": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "patient_id": {
            "type": "string",
            "format": "uuid"
          },
          "protocol_id": {
            "type": "string",
            "format": "uuid"
          },
          "version_id": {
            "type": "string",
            "format": "uuid"
          },
          "compound_id": {
            "type": [
              "string",
              "null"
            ],
            "format": "uuid"
          },
          "override_type": {
            "type": "string",
            "enum": [
              "dose_adjusted",
              "schedule_changed",
              "removed",
              "added",
              "paused"
            ]
          },
          "payload": {
            "oneOf": [
              {
                "type": "object",
                "properties": {
                  "kind": {
                    "type": "string",
                    "enum": [
                      "dose_adjusted"
                    ]
                  },
                  "dose_amount": {
                    "type": "number",
                    "exclusiveMinimum": 0
                  },
                  "dose_unit": {
                    "type": "string",
                    "minLength": 1
                  }
                },
                "required": [
                  "kind",
                  "dose_amount",
                  "dose_unit"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "kind": {
                    "type": "string",
                    "enum": [
                      "schedule_changed"
                    ]
                  },
                  "days_of_week": {
                    "type": "array",
                    "items": {
                      "type": "integer",
                      "minimum": 0,
                      "maximum": 6
                    },
                    "minItems": 1
                  }
                },
                "required": [
                  "kind",
                  "days_of_week"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "kind": {
                    "type": "string",
                    "enum": [
                      "removed"
                    ]
                  },
                  "reason": {
                    "type": "string"
                  }
                },
                "required": [
                  "kind"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "kind": {
                    "type": "string",
                    "enum": [
                      "added"
                    ]
                  },
                  "dose_amount": {
                    "type": "number",
                    "exclusiveMinimum": 0
                  },
                  "dose_unit": {
                    "type": "string",
                    "minLength": 1
                  },
                  "days_of_week": {
                    "type": "array",
                    "items": {
                      "type": "integer",
                      "minimum": 0,
                      "maximum": 6
                    },
                    "minItems": 1
                  }
                },
                "required": [
                  "kind",
                  "dose_amount",
                  "dose_unit",
                  "days_of_week"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "kind": {
                    "type": "string",
                    "enum": [
                      "paused"
                    ]
                  }
                },
                "required": [
                  "kind"
                ]
              }
            ]
          },
          "applied_at": {
            "type": "string",
            "format": "date-time"
          },
          "expires_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "patient_id",
          "protocol_id",
          "version_id",
          "compound_id",
          "override_type",
          "payload",
          "applied_at",
          "expires_at"
        ]
      }
    }
  },
  "required": [
    "patient_id",
    "protocol_id",
    "overrides"
  ]
}

401 Unauthorized

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Patient or protocol not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{patient_id}/protocols/{protocol_id}/overrides \
  -H "Authorization: Bearer $ACCESS_TOKEN"